Loading...
Searching...
No Matches
rostlab::blast::parser::stack< T, S >::slice Class Reference

Present a slice of the top of a stack. More...

`#include <blast-parser-parser.h>`

## Public Member Functions

| slice (const stack &stack, index_type range) YY_NOEXCEPT
const T & | operator[] (index_type i) const

## Detailed Description

template<typename T, typename S = std::vector<T>>
class rostlab::blast::parser::stack< T, S >::slice

Present a slice of the top of a stack.

Definition at line 802 of file blast-parser-parser.h.

## Constructor & Destructor Documentation

## slice()

template<typename T, typename S = std::vector<T>>

rostlab::blast::parser::stack< T, S >::slice::slice | ( | const stack & | stack,
|  | index_type | range )

inline

Definition at line 805 of file blast-parser-parser.h.

## Member Function Documentation

## operator[]()

template<typename T, typename S = std::vector<T>>

const T & rostlab::blast::parser::stack< T, S >::slice::operator[] | ( | index_type | i | ) | const

inline

Definition at line 811 of file blast-parser-parser.h.

The documentation for this class was generated from the following file:

- rostlab/blast-parser-parser.h